Package com.pixelmed.web

# Class WadoRequest

java.lang.Object
com.pixelmed.web.WebRequest
com.pixelmed.web.WadoRequest

public class WadoRequest extends WebRequest

The `WadoRequest` class parses a DICOM PS 3.18 (ISO 17432), WADO URL into its constituent query parameters.

## Field Summary

### Fields inherited from class com.pixelmed.web.WebRequest

`host, parameters, path, port, requestType, scheme, userInfo`

## Constructor Summary

Constructors
Constructor
Description
`WadoRequest(WebRequest request)`
`WadoRequest(String uriString)`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getAnnotation()`
`String`
`getAnonymize()`
`String[]`
`getCharset()`
`int`
`getColumns()`
`static String[]`
`getCommaSeparatedValues(String string)`
`static String[][]`
`getCommaThenSemicolonSeparatedValues(String string)`
`String[][]`
`getContentType()`
`int`
`getFrameNumber()`
`int`
`getImageQuality()`
`String`
`getObjectUID()`
`String`
`getPresentationSeriesUID()`
`String`
`getPresentationUID()`
`double[]`
`getRegion()`
`int`
`getRows()`
`static String[]`
`getSemicolonSeparatedValues(String string)`
`static String[]`
`getSeparatedValues(String string, String delimiter)`
`String`
`getSeriesUID()`
`static double`
`getSingleDoubleValueFromParameters(Map parameters, String key)`
`static int`
`getSingleIntegerValueFromParameters(Map parameters, String key)`
`String`
`getStudyUID()`
`String`
`getTransferSyntax()`
`double`
`getWindowCenter()`
`double`
`getWindowWidth()`
`boolean`
`isContentTypeDicom()`
`static void`
`main(String[] arg)`
`String`
`toString()`
`static String`
`toString(double[] doubleArray)`
`static String`
`toString(String[] stringArray)`
`static String`
`toString(String[][] stringArrays)`
`static boolean`
`validateUID(String uid)`

### Methods inherited from class com.pixelmed.web.WebRequest

`getHost, getParameters, getPath, getPort, getRequestType, getScheme, getUserInfo, parseQueryIntoParameters`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WadoRequest

public WadoRequest(WebRequest request) throws Exception

Throws:
  `Exception`

### WadoRequest

public WadoRequest(String uriString) throws Exception

Throws:
  `Exception`

## Method Details

### getStudyUID

public String getStudyUID()

### getSeriesUID

public String getSeriesUID()

### getObjectUID

public String getObjectUID()

### getContentType

public String[][] getContentType()

### isContentTypeDicom

public boolean isContentTypeDicom()

### getCharset

public String[] getCharset()

### getAnonymize

public String getAnonymize()

### getAnnotation

public String[] getAnnotation()

### getRows

public int getRows()

### getColumns

public int getColumns()

### getRegion

public double[] getRegion()

### getWindowCenter

public double getWindowCenter()

### getWindowWidth

public double getWindowWidth()

### getFrameNumber

public int getFrameNumber()

### getImageQuality

public int getImageQuality()

### getPresentationUID

public String getPresentationUID()

### getPresentationSeriesUID

public String getPresentationSeriesUID()

### getTransferSyntax

public String getTransferSyntax()

### validateUID

public static boolean validateUID(String uid)

### getSeparatedValues

public static String[] getSeparatedValues(String string, String delimiter)

### getCommaSeparatedValues

public static String[] getCommaSeparatedValues(String string)

### getSemicolonSeparatedValues

public static String[] getSemicolonSeparatedValues(String string)

### getCommaThenSemicolonSeparatedValues

public static String[][] getCommaThenSemicolonSeparatedValues(String string)

### toString

public static String toString(double[] doubleArray)

### toString

public static String toString(String[] stringArray)

### toString

public static String toString(String[][] stringArrays)

### getSingleIntegerValueFromParameters

public static int getSingleIntegerValueFromParameters(Map parameters, String key) throws Exception

Throws:
  `Exception`

### getSingleDoubleValueFromParameters

public static double getSingleDoubleValueFromParameters(Map parameters, String key) throws Exception

Throws:
  `Exception`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### main

public static void main(String[] arg)